CVE-2023-48303

Nextcloud Server provides data storage for Nextcloud, an open source cloud platform. Starting in version 25.0.0 and prior to versions 25.0.11, 26.0.6, and 27.1.0 of Nextcloud Server and Nextcloud Enterprise Server, admins can change authentication details of user configured external storage. Nextcloud Server and Nextcloud Enterprise Server versions 25.0.11, 26.0.6, and 27.1.0 contain a patch for this issue. No known workarounds are available.
Configurations

Configuration 1 (hide)

OR cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:-:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:enterprise:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:-:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:enterprise:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:-:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:enterprise:*:*:*

History

30 Nov 2023, 20:02

Type Values Removed Values Added
References () https://github.com/nextcloud/server/pull/39895 - () https://github.com/nextcloud/server/pull/39895 - Issue Tracking, Patch
References () https://hackerone.com/reports/2107934 - () https://hackerone.com/reports/2107934 - Permissions Required
References () https://github.com/nextcloud/security-advisories/security/advisories/GHSA-2448-44rp-c7hh - () https://github.com/nextcloud/security-advisories/security/advisories/GHSA-2448-44rp-c7hh - Vendor Advisory
First Time Nextcloud
Nextcloud nextcloud Server
CPE cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:enterprise:*:*:*
cpe:2.3:a:nextcloud:nextcloud_server:*:*:*:*:-:*:*:*
CVSS v2 : unknown
v3 : unknown
v2 : unknown
v3 : 2.7
CWE NVD-CWE-Other

21 Nov 2023, 22:15

Type Values Removed Values Added
New CVE

Information

Published : 2023-11-21 22:15

Updated : 2023-12-10 15:26


NVD link : CVE-2023-48303

Mitre link : CVE-2023-48303

CVE.ORG link : CVE-2023-48303


JSON object : View

Products Affected

nextcloud

  • nextcloud_server
CWE
NVD-CWE-Other CWE-284

Improper Access Control